KDEINIT4(8)

NAME
kdeinit4 - Start alle andere KDE programma's en kdeinit loadable modules (KLMs).

SYNOPSIS

kdeinit4 [--help] [--no-fork | --no-kded | --suicide] [+programs | programma's]

BESCHRIJVING

kdeinit4 start processen enigszins vergelijkbaar met het beroemde init dat wordt gebruikt bij het opstarten van UNIX. Het voert KDE programma's uit en kdeinit loadable modules (KLMs) worden efficiënter opgestart.

Met kdeinit4 starten van KDE applicaties maakt het starten van een typische KDE applicatie enkele malen sneller en vermindert geheugengebruik met een aanzienlijke hoeveelheid.

kdeinit4 is gelinkt tegen alle bibliotheken die een standaard KDE applicatie nodig heeft. Met deze techniek wordt het starten van een applicatie veel sneller omdat nu alleen de applicatie zelf gelinkt behoeft te worden waar anders beide, de applicatie zowel als alle bibliotheken die het gebruikt worden, gelinkt moeten worden.

NADELEN

De procesnaam van applicaties die via kdeinit4 gestart worden is "kdeinit4". Dit probleem kan tot op zekere hoogte gecorrigeerd worden door de applicatienaam zoals deze getoond door ps te wijzigen. Echter, applicaties zoals killall zien alleen kdeinit4 als de procesnaam. De workaround hiervan is het gebruik van kdekillall (uit de kdesdk/scripts) voor applicaties die via kdeinit4 gestart zijn.

OPTIES

--help
    Hulp over de opties tonen

--no-fork
    Doe geen fork, dwz. stop niet totdat alle uitgevoerde programma's eindigen

--no-kded
    kded niet starten

--suicide
    Sluit af als geen KDE applicatie meer wordt uitgevoerd

+programma's
    voert de programma's uit die verzoeken behandelen

programma's
    voert de programma's zonder verzoeken te behandelen

GEBRUIK

Een standaard manier om dit programma uit te voeren is door eenvoudig het volgende commando kdeinit4 programma of kdeinit4 +programma te specificeren

BESTANDEN

/tmp/kde-$USER/kdeinit4_$INSTANCE
    ...

OMGEVINGSVARIABELEN

$HOME
    Specificeert de persoonlijke map van de huidige gebruiker

$KDE_HOME_READONLY
    Specificeert of de persoonlijke map van de huidige gebruiker alleen-lezen is

$KDE_IS_PRELINKED
    Indien ingesteld, vertelt het dat de KDE programma's voor-gelinkt zijn. (Voor-linken is een proces dat u toestaat om het proces van dynamisch linken te versnellen.)

$KDE_DISPLAY
    Indien ingesteld, vertelt het dat het op het bureaublad draait.

ZIE OOK

kded, kdekillall

FOUTEN/BUGS

Er zijn waarschijnlijk vele bugs. Gebruik bugs.kde.org: http://bugs.kde.org om ze te rapporteren.

AUTHORS
Waldo Bastian <bastian@kde.org>, Mario Weilguni <mweilguni@sime.com>, Lubos Lunak <l.lunak@kde.org>.